/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include "Workspace.h"
#include "ui_EventPool.h"


namespace DESpot
{
	class EventPoolForm;
	class EventPoolUiPart;
	class DesProject;

	class EventPoolWorkspace: public Workspace, public Ui::EventPoolUI
	{
		Q_OBJECT

		public:
			EventPoolWorkspace(DesProject* proj, EventPoolForm* pEventPoolForm);
			virtual ~EventPoolWorkspace(void);

		//Operations__________________________________
		public:
			virtual void resize(QResizeEvent* event);
			virtual bool eventFilter(QObject* target, QEvent* event);

		private:
			EventPoolForm* eventPoolForm();
		
		private:			
			void resizeEventViewHeaders();

		private:
			EventPoolUiPart* m_uiPart;
};


} //end of namespace DESpot
